com.google.cloud.dataflow.examples.complete

## Class TfIdf.ReadDocuments

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PInput,PCollection<KV<URI,String>>>
  - - com.google.cloud.dataflow.examples.complete.TfIdf.ReadDocuments

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  TfIdf

    public static class TfIdf.ReadDocuments
    extends PTransform<PInput,PCollection<KV<URI,String>>>

Reads the documents at the provided uris and returns all lines from the documents tagged with which document they are from.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Constructor Summary

Constructors
Constructor and Description
`ReadDocuments(Iterable<URI> uris)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollection<KV<URI,String>>` `apply(PInput input)`
`Coder<?>` `getDefaultOutputCoder()`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadDocuments

    public ReadDocuments(Iterable<URI> uris)

### Method Detail

#### getDefaultOutputCoder

    public Coder<?> getDefaultOutputCoder()

Overrides:
  `getDefaultOutputCoder` in class `PTransform<PInput,PCollection<KV<URI,String>>>`

#### apply

    public PCollection<KV<URI,String>> apply(PInput input)

Overrides:
  `apply` in class `PTransform<PInput,PCollection<KV<URI,String>>>`